services:
    archivebox:
        #image: ${DOCKER_IMAGE:-archivebox/archivebox:dev}
        image: archivebox/archivebox:dev
        environment:
            - PUBLIC_INDEX=False                 # set to False to prevent anonymous users from viewing snapshot list
            - PUBLIC_SNAPSHOTS=False             # set to False to prevent anonymous users from viewing snapshot content
            - PUBLIC_ADD_VIEW=False   
        command: server --quick-init 0.0.0.0:8000
#        ports:
#            - 7777:8000
        volumes:
            - /srv/archive_box:/data
        networks:
            - traefik
        restart: unless-stopped
        labels:
        - "traefik.enable=true"
        - "traefik.http.routers.archive.entrypoints=websecure"
        - "traefik.http.routers.archive.rule=Host(`archive.knast.cc`)"
        - "traefik.http.routers.archive.tls.certresolver=letsencr"
        - "traefik.http.services.archive.loadbalancer.server.port=8000"

networks:
  traefik:
    external: true